r7857 - in trunk/BOOK: . general/graphlib introduction/welcome

gdalziel at linuxfromscratch.org gdalziel at linuxfromscratch.org
Wed Jul 22 13:46:33 PDT 2009


Author: gdalziel
Date: 2009-07-22 14:46:33 -0600 (Wed, 22 Jul 2009)
New Revision: 7857

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/general/graphlib/poppler.xml
   trunk/BOOK/introduction/welcome/changelog.xml
Log:
Updated to Poppler-0.10.7. Added OpenJPEG and GLib 2 to recommended dependencies and moved libjpeg and cairo to recommended. Added --enable-xpdf-headers to command explanations.

Modified: trunk/BOOK/general/graphlib/poppler.xml
===================================================================
--- trunk/BOOK/general/graphlib/poppler.xml	2009-07-22 14:20:17 UTC (rev 7856)
+++ trunk/BOOK/general/graphlib/poppler.xml	2009-07-22 20:46:33 UTC (rev 7857)
@@ -6,9 +6,9 @@
 
   <!ENTITY poppler-download-http "http://poppler.freedesktop.org/poppler-&poppler-version;.tar.gz">
   <!ENTITY poppler-download-ftp  " ">
-  <!ENTITY poppler-md5sum        "f30dd49c74ee304c17ef6ef10a1d1a7c">
+  <!ENTITY poppler-md5sum        "ba120e49a82567d85d00e159011ebe67">
   <!ENTITY poppler-size          "1.5 MB">
-  <!ENTITY poppler-buildsize     "25 MB (without static libraries or Qt3, additional 12 MB to install the encoding data package)">
+  <!ENTITY poppler-buildsize     "56 MB (without Qt3, additional 12 MB to install the encoding data package)">
   <!ENTITY poppler-time          "1.3 SBU (includes building with all dependencies except Qt3)">
 
   <!ENTITY poppler-data-version  "0.2.1">
@@ -77,15 +77,18 @@
     <para role="required"><xref linkend="pkgconfig"/> and
     <xref linkend="fontconfig"/></para>
 
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended"><xref linkend="libjpeg"/>, <xref linkend="cairo"/>,
+    <xref linkend="glib2"/>, <ulink url="http://www.openjpeg.org">OpenJPEG</ulink>
+    </para>
+
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="libjpeg"/>,
-    <xref linkend="cairo"/>,
-    <xref linkend="gtk2"/>,
-    <xref linkend="qt"/>, and
-    <ulink url="http://www.trolltech.com/download/opensource.html">Qt-4.x.x</ulink></para>
+    <para role="optional"><xref linkend="gtk2"/>, <xref linkend="qt"/>, and
+    <ulink url="http://www.trolltech.com/download/opensource.html">Qt-4.x.x</ulink>
+    </para>
 
     <para>If you're installing <application>Poppler</application> to support
-    <xref linkend="kdegraphics"/>, you will need to have <xref linkend="qt"/>
+    <xref linkend="kdegraphics"/>, then you will need to have <xref linkend="qt"/>
     installed so that the <filename class='libraryfile'>libpoppler-qt</filename>
     library is built.</para>
 
@@ -106,18 +109,8 @@
       <command>configure</command> command below.</para>
     </caution>
 
-    <para>The <command>configure</command> command below includes three
-    parameters which disable various rendering back-ends. Ensure you remove
-    any of the parameters for which you have the corresponding dependency
-    installed. Install <application>Poppler</application> by running the
-    following commands:</para>
-
-<screen><userinput>./configure --prefix=/usr \
-            --sysconfdir=/etc \
-            --enable-zlib \
-            --disable-cairo-output \
-            --disable-poppler-glib \
-            --disable-gtk-test &&
+<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc \
+            --enable-zlib &&
 make</userinput></screen>
 
     <para>This package does not come with a test suite.</para>
@@ -141,26 +134,25 @@
     <title>Command Explanations</title>
 
     <para><parameter>--enable-zlib</parameter>: This parameter forces the build
-    to link with the system-installed
+    to link with the system-installed 
     <filename class='libraryfile'>libz</filename> library to enable compressed
     PDF functionality.</para>
 
     <para><parameter>--disable-cairo-output</parameter>: This parameter
-    disables building the <application>cairo</application> graphics backend.
-    Remove this parameter if you have <application>cairo</application>
-    installed.</para>
+    disables building the <application>cairo</application> graphics backend.</para>
 
     <para><parameter>--disable-poppler-glib</parameter> and
     <parameter>--disable-gtk-test</parameter>: These parameters disable
     building the <application>GLib</application> wrapper and
-    <application>GTK+</application> test program. Remove these parameters if
-    you have <application>GTK+</application>-2 installed. Note that if you
-    plan on building <xref linkend="evince"/>, you must build the
-    <application>GLib</application> wrapper.</para>
+    <application>GTK+</application> test program.</para>
 
     <para><parameter>--disable-static</parameter>: Prevent static libraries
     being built and installed.</para>
 
+    <para><parameter>--enable-xpdf-headers</parameter>: Install old 
+    <application>Xpdf</application> headers required by certain programs. These 
+    are unsupported by <application>Poppler</application>.</para>
+
   </sect2>
 
   <sect2 role="configuration">
@@ -187,12 +179,10 @@
 
       <seglistitem>
         <seg><xref linkend="xpdf-content"/></seg>
-        <seg>libpoppler.{so,a}, libpoppler-glib.{so,a},
-        libpoppler-qt.{so,a} and libpoppler-qt4.{so,a}</seg>
-        <seg>/usr/include/poppler,
-        /usr/share/doc/poppler-&poppler-version;,
-        /usr/share/gtk-doc/html/poppler and
-        /usr/share/poppler</seg>
+        <seg>libpoppler.{so,a}, libpoppler-glib.{so,a}, libpoppler-qt.{so,a} 
+        and libpoppler-qt4.{so,a}</seg>
+        <seg>/usr/include/poppler, /usr/share/doc/poppler-&poppler-version;, 
+        /usr/share/gtk-doc/html/poppler and /usr/share/poppler</seg>
       </seglistitem>
     </segmentedlist>
 

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2009-07-22 14:20:17 UTC (rev 7856)
+++ trunk/BOOK/general.ent	2009-07-22 20:46:33 UTC (rev 7857)
@@ -3,13 +3,13 @@
 $Date$
 -->
 
-<!ENTITY day          "21">                   <!-- Always 2 digits -->
+<!ENTITY day          "22">                   <!-- Always 2 digits -->
 <!ENTITY month        "07">                   <!-- Always 2 digits -->
 <!ENTITY year         "2009">
 <!ENTITY copyrightdate "2001-&year;">
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "svn-&year;&month;&day;">
-<!ENTITY releasedate  "July &day;st, &year;">
+<!ENTITY releasedate  "July &day;nd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
 <!ENTITY lfs-version  "development">          <!-- version|testing|unstable|development] -->
@@ -162,7 +162,7 @@
 <!ENTITY imlib2-version               "1.4.2">
 <!ENTITY libexif-version              "0.6.16">
 <!ENTITY fribidi-version              "0.10.9">
-<!ENTITY poppler-version              "0.10.1">
+<!ENTITY poppler-version              "0.10.7">
 <!ENTITY jasper-version               "1.900.1">
 <!ENTITY pixman-version               "0.14.0">
 

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2009-07-22 14:20:17 UTC (rev 7856)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2009-07-22 20:46:33 UTC (rev 7857)
@@ -40,6 +40,17 @@
     </listitem>
 
 -->
+    <listitem>
+      <para>July 22nd, 2009</para>
+      <itemizedlist>
+        <listitem>
+          <para>[gdalziel] - Updated to Poppler-0.10.7. Added OpenJPEG and
+          GLib 2 to recommended dependencies and moved libjpeg and cairo to
+          recommended. Added --enable-xpdf-headers to command explanations.
+          </para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
       <para>July 21st, 2009</para>




More information about the blfs-book mailing list